CREATE TABLE IF NOT EXISTS game(
    id INTEGER PRIMARY KEY,
    url VARCHAR UNIQUE NOT NULL,
    nsuid INTEGER NOT NULL,
	name VARCHAR NOT NULL,
	region VARCHAR NOT NULL,
	language VARCHAR NOT NULL,
	price FLOAT NOT NULL,
	currency VARCHAR NOT NULL,
    max_price FLOAT NOT NULL DEFAULT 0,
    min_price FLOAT NOT NULL DEFAULT 0,
    date_added DATETIME NOT NULL,
    date_updated DATETIME NOT NULL
);

CREATE UNIQUE INDEX IF NOT EXISTS game_url_idx ON game(url);